package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.integracaoantifraude;

public enum EStatusKonduto {
	PENDENTE("P", "Pendente"),
	APROVADO("A", "Aprovado"),
	NEGADO("N", "Negado");
	
	private String id; 
	private String descricao;
	
	private EStatusKonduto(String id, String descricao) {
		this.id = id;
		this.descricao = descricao;
	}

	public String getId() {
		return id;
	}

	public String getDescricao() {
		return descricao;
	}
	
	public static EStatusKonduto getStatusKondutoPorId(String id) {
		for (EStatusKonduto status : EStatusKonduto.values()) {
			if (status.getId().equals(id)) {
				return status;
			}
		}
		throw new IllegalArgumentException("Status Konduto no encontrado.");
	}
}
