package com.rjconsultores.ventaboletos.web.utilerias;

import org.zkoss.util.resource.Labels;
import org.zkoss.zhtml.Messagebox;

public class MensagensUtils {
	
	private MensagensUtils() {
	}

	public static void showMessageInformation(String labelMensagem, String tituloMenssagem) {
		try {
			Messagebox.show(
					Labels.getLabel(labelMensagem), 
					Labels.getLabel(tituloMenssagem),
					Messagebox.OK, Messagebox.INFORMATION);
		} catch (InterruptedException e) {
			Thread.currentThread().interrupt();
		}
	}
}
